Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename through2-filter

# Tests disabled -- they fail due to undefined objects not having the "skip" property
%global enable_tests 0

Name:		nodejs-through2-filter
Version:	2.0.0
Release:	alt1_7
Summary:	A through2 to create an Array.prototype.filter analog for streams

License:	MIT
URL:		https://github.com/brycebaril/through2-filter.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# License file
Source11:	https://raw.githubusercontent.com/brycebaril/through2-filter/v%{version}/LICENSE


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(through2)
%if 0%{?enable_tests}
BuildRequires:	npm(stream-spigot)
BuildRequires:	npm(tape)
%endif
Source44: import.info

%description
A through2 to create an Array.prototype.filter analog for streams.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE11} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_7
- new version

